#include <Xm/Form.h>
#include <Xm/PushB.h>

void main(argc, argv)
  unsigned int argc;
  char **argv;
{
   Widget toplevel, form1, pbutton[6];
   Arg args[10];
   XtAppContext app_context;
   static char * pbname[] = {"pb1", "pb2", "pb3", "pb4", "pb5", "pb6"};
   int i, n;
     
/* Initialize the toolkit, create app context, open display,
   and create a toplevel shell  */
   toplevel = XtAppInitialize(&app_context, "Formbtn", NULL, 0, &argc,
                              argv, NULL, args, 0);

/* Create the bulletin board widget */
   form1 = XmCreateForm(toplevel, "form1", args, 0);
   XtManageChild(form1);

/* Create the 6 pushbutton widgets. */
   for (i = 0; i < XtNumber(pbname); i++) 
      pbutton[i] = XmCreatePushButton(form1, pbname[i], args, 0);
   XtManageChildren(pbutton, XtNumber(pbutton));

/* Set XmNleftWidget and XmNrightWidget resource values */

   /* 2nd button 1st row */
   n = 0;
   XtSetArg (args [n], XmNleftWidget, pbutton[0]); n++;
/*   XtSetArg (args [n], XmNrightWidget, pbutton[2]); n++; */
   XtSetValues (pbutton [1], args, n);

   /* 2nd button 2nd row */
   n = 0;
   XtSetArg (args [n], XmNleftWidget, pbutton[3]); n++;
/*   XtSetArg (args [n], XmNrightWidget, pbutton[5]); n++; */
   XtSetValues (pbutton [4], args, n);

/* Realize the widgets and loop  */
   XtRealizeWidget(toplevel);
   XtAppMainLoop(app_context);
}
