#include <Xm/PushB.h>
#include <Xm/BulletinB.h>
#include <Xm/Separator.h>

/***********************************************************************
 ***                             MAIN                                ***
 ***********************************************************************/
void main(argc, argv)
  unsigned int argc;
  char **argv;
{
   Widget appshell, bboard, pbutton, separator, pbutton1;
   Arg args[10];
   int n;
   char *text1 = "Push Me 1";
   char *text2 = "Push Me 2";
   XmString label_text;
   XtAppContext app_context;
     
/* Initialize the appshell shell widget */
   appshell = XtAppInitialize(&app_context, "Septest", NULL, 0, &argc, argv,
   NULL, args, 0);

/* Create the bulletin board Widget */
   n = 0;
   bboard = XmCreateBulletinBoard (appshell, "bboard", args, n);
   XtManageChild(bboard);

/* Create a compound string for the first button label */
   label_text = XmStringCreateLtoR(text1, XmFONTLIST_DEFAULT_TAG);
   
/* Create the first pushbutton. */
   n = 0;
   XtSetArg(args[n], XmNx, 45); n++;
   XtSetArg(args[n], XmNy, 20); n++;
   XtSetArg(args[n], XmNwidth, 100); n++;
   XtSetArg(args[n], XmNheight, 50); n++;
   XtSetArg(args[n], XmNborderWidth, 5); n++;
   XtSetArg(args[n], XmNlabelString, label_text); n++;
   pbutton = XmCreatePushButton(bboard, "pbutton", args, n);
   XtManageChild(pbutton);
   XmStringFree (label_text);

/* Create the separator */
   n = 0;
   separator = XmCreateSeparator (bboard, "sep1", args, n);
   XtManageChild(separator);

/* Create a compound string for the second button label */
   label_text = XmStringCreateLtoR(text2, XmFONTLIST_DEFAULT_TAG);

/* Create the second pushbutton */
   n = 0;
   XtSetArg(args[n], XmNx, 45); n++;
   XtSetArg(args[n], XmNy, 120); n++;
   XtSetArg(args[n], XmNwidth, 100); n++;
   XtSetArg(args[n], XmNheight, 50); n++;
   XtSetArg(args[n], XmNborderWidth, 5); n++;
   XtSetArg(args[n], XmNlabelString, label_text); n++;
   pbutton1 = XmCreatePushButton(bboard, "pbutton", args, n);
   XtManageChild(pbutton1);
   XmStringFree (label_text);

/* Realize the appshell widget, which displays all children */
   XtRealizeWidget(appshell);

/* Go into a loop and wait for input */
   XtAppMainLoop(app_context);
}
